file_relay_client_free
file_relay_client_new
file_relay_client_start_service
file_relay_client_t
file_relay_error_t
file_relay_request_sources
file_relay_request_sources_timeout
FILE_RELAY_SERVICE_NAME

## file_relay_client_start_service()

LIBIMOBILEDEVICE_API file_relay_error_t file_relay_client_start_service | ( | idevice_t | device,
|  | file_relay_client_t * | client,
|  | const char * | label )

Starts a new file_relay service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated file_relay_client_t upon successful return. Must be freed using file_relay_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  FILE_RELAY_E_SUCCESS on success, or an FILE_RELAY_E_* error code otherwise.